# $Revision: 1.6 $, $Date: 2002/07/06 13:37:47 $
Summary:	Web2mail support interface
Summary(pl):	Narzdzie do obsugi poczty przez www
Name:		mozilla-addon-xHermes
%define		_realname	xhermes
%define	bver	0.3
%define	pver	pre1
Version:	%{bver}%{pver}
%define	fver	%(echo %{bver} | tr -d .)-%{pver}
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://downloads.mozdev.org/hermes/xHermes%{fver}.xpi
Source1:	%{_realname}-installed-chrome.txt
URL:		http://hermes.mozdev.org/
BuildRequires:	unzip
BuildRequires:	zip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
Web2mail support interface. It supports mail, internet banking,
sending SMSs, auction serveces accessible through WWW. It can
integrate with sidebar or work in separate window.

%description -l pl
Narzdzie do obsugi poczty, kont bankowych, wysyania sms-w oraz
serwisw aukcyjnych przez www. Dziaa jako aplikacja w osobnym
okienku, lub integruje si z sidebarem.

%prep
%setup -q -c %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

cd %{_realname}
rm content/services/bank/*~
rm locale/pl-PL/*~
zip -r -9 -m ../%{_realname}.jar ./
cd -

install %{_realname}.jar $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%post
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-addon-xHermes.spec,v $
Revision 1.6  2002/07/06 13:37:47  jojoro
- repacked into .jar file
- rel3

Revision 1.5  2002/06/23 18:35:28  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.4  2002/06/23 16:48:25  adgor
- Added missing line in %%postun

Revision 1.3  2002/06/23 16:40:09  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:40  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/21 09:56:49  jojoro
- initial release
